/*
** TuxServe - XChat plugin.
** (C) 2004 Aypok <brianaypok@yahoo.co.uk>
**
** TuxServe is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** TuxServe is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with TuxServe; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
**
** Last updated 2004-08-13
**
*/



#define MAXUSERS 8
#define MAXCHANS 16
#define MAXTRIGS 8

/*
** Global variables, and such
*/
extern xchat_hook *timer_display_advert[16], *timer_idle[];

char version[8], path_to_config[256];
int status, autoon;

/*
** Contains the info about the channels which TuxServe is to be used on
*/
struct chan_settings
{
	char chan_note[256];
	char channel_name[64];
	char voiceme_channels[64];
	char advert_settings[10];
	uint channel_serve[10];
	int number_of_channels;		// This is not part of the array; use "cs[0].number_of_channels"
};

/*
** Contains the info about the fserve triggers
*/
struct trig_settings
{
	char trigger_levels[(MAXTRIGS + 1)];
	char trigger[MAXTRIGS][64];
	char triggerdir[MAXTRIGS][256];
	int number_of_triggers;
	int trigger_type;
};

/*
** Contains general info about the fserve itself
*/
struct fserve_settings
{
	char note[256];
	char record_user[64];
	char data_type[3];
	int colours[7];
	int show_welcome;
	int idle_time;
	int max_queues;
	int queue;
	int user_queues;
	int max_sends;
	int sends;
	int user_sends;
	int max_users;
	int record_speed;
	int files_sent;
	int accessed;
	int sends_failed;
	int advert_full;
	int send_now;
	int data_sent;
};

/*
** Contains the info about the users
*/
struct users_settings
{
	char sender_[256];
	char users_name[64];
	char working_dir[1][256];
	int users[3];
	int offered_dcc_chat;
	int current_users;	// This is not part of the array; use "us[0].current_users"
};

/*
** Contains the info about the voiceme section of TuxServe
*/
struct voiceme_settings
{
	char vnote[256];
	char ctv[64];		// Channel To Voice
	int voiceme[3];
};

/*
** Stores the first 10 queues
*/
struct queue_list
{
	char name_queued[64];
	char file_queued[256];
};

struct chan_settings cs[MAXCHANS];
struct trig_settings ts;
struct fserve_settings fs;
struct users_settings us[MAXUSERS];
struct voiceme_settings vs;
struct queue_list ql[10];
